Reporting/Insights Hub/Live Insights
/report/insight/live
Near real-time activity for one publisher over the last 1 to 48 hours: ad loads, bids, tag errors and latency. For daily history, use /v1/report/insight/metrics
GET
/
v1
/
report
/
insight
/
live
/report/insight/live
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/live \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/live"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/live")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"dates": [
"2026-10-23 09:01:00",
"2026-10-23 09:02:00",
"2026-10-23 09:03:00"
],
"ad_impression": [
612,
590,
640
],
"ad_load": [
905,
871,
934
],
"ad_load_saas": [
0,
0,
0
],
"ad_miss": [
118,
109,
122
],
"ad_miss_saas": [
0,
0,
0
],
"ad_unit_load": [
1236,
1194,
1275
],
"ad_unit_load_saas": [
0,
0,
0
],
"tag_error": [
3,
1,
2
],
"page_impression": [
412,
398,
425
],
"ad_latency_50th": [
812.5,
790,
835
],
"unit_latency_50th": [
1450,
1422.5,
1489
],
"tag_latency_50th": [
210,
205.5,
214
],
"page_latency_50th": [
1890,
1845,
1920
],
"dom_latency_50th": [
1320,
1298.5,
1341
],
"no_bid": [
5120,
4987,
5233
],
"bid": [
2210,
2105,
2302
],
"bid_won": [
341,
322,
355
],
"bid_throttled": [
410,
395,
428
],
"tag_error_types": [
{
"type": "Network Request Failed",
"count": 4,
"rate": 0.003238866,
"details": [
{
"label": "reason",
"value": "Failed to fetch",
"count": 3
},
{
"label": "reason",
"value": "Load failed",
"count": 1
}
],
"network_average": 0.0021
},
{
"type": "GPT Load Failed",
"count": 2,
"rate": 0.001619433,
"details": [],
"network_average": 0.00087
}
],
"tag_error_type_categories": [
"Domain mismatch",
"GPT Load Failed",
"GPT PubAds Unavailable",
"Secure Signal Provider Push Failed",
"Prebid BidsBackHandler Failed",
"Network Request Failed",
"Window Property Access Denied",
"Prebid Build Load Failed",
"GPT Slot Definition Failed",
"Heavy Ad Intervention",
"Reference Error: Can't Find Variable",
"Type Error: Cannot Read Properties Of Null",
"Security Error: Blocked A Frame From Accessing A Cross Origin Frame",
"Security Error: The Operation Is Insecure",
"Unknown"
],
"tag_error_type_series": {
"Domain mismatch": [
0,
0,
0
],
"GPT Load Failed": [
1,
0,
1
],
"GPT PubAds Unavailable": [
0,
0,
0
],
"Secure Signal Provider Push Failed": [
0,
0,
0
],
"Prebid BidsBackHandler Failed": [
0,
0,
0
],
"Network Request Failed": [
2,
1,
1
],
"Window Property Access Denied": [
0,
0,
0
],
"Prebid Build Load Failed": [
0,
0,
0
],
"GPT Slot Definition Failed": [
0,
0,
0
],
"Heavy Ad Intervention": [
0,
0,
0
],
"Reference Error: Can't Find Variable": [
0,
0,
0
],
"Type Error: Cannot Read Properties Of Null": [
0,
0,
0
],
"Security Error: Blocked A Frame From Accessing A Cross Origin Frame": [
0,
0,
0
],
"Security Error: The Operation Is Insecure": [
0,
0,
0
],
"Unknown": [
0,
0,
0
]
},
"tag_error_type_details": [
{
"date": "2026-10-23 09:01:00",
"types": [
{
"type": "Network Request Failed",
"count": 2,
"rate": 0.004854369,
"details": [
{
"label": "reason",
"value": "Failed to fetch",
"count": 2
}
]
},
{
"type": "GPT Load Failed",
"count": 1,
"rate": 0.002427184,
"details": []
}
]
},
{
"date": "2026-10-23 09:02:00",
"types": [
{
"type": "Network Request Failed",
"count": 1,
"rate": 0.002512563,
"details": [
{
"label": "reason",
"value": "Load failed",
"count": 1
}
]
}
]
},
{
"date": "2026-10-23 09:03:00",
"types": [
{
"type": "GPT Load Failed",
"count": 1,
"rate": 0.002352941,
"details": []
},
{
"type": "Network Request Failed",
"count": 1,
"rate": 0.002352941,
"details": [
{
"label": "reason",
"value": "Failed to fetch",
"count": 1
}
]
}
]
}
]
},
"success": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A single publisher ID
Time range in hours to return
Available options:
1, 2, 4, 6, 12, 24, 48 Environment or platform to report from
Available options:
all, app, web Was this page helpful?
⌘I
/report/insight/live
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/live \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/live"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/live")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"dates": [
"2026-10-23 09:01:00",
"2026-10-23 09:02:00",
"2026-10-23 09:03:00"
],
"ad_impression": [
612,
590,
640
],
"ad_load": [
905,
871,
934
],
"ad_load_saas": [
0,
0,
0
],
"ad_miss": [
118,
109,
122
],
"ad_miss_saas": [
0,
0,
0
],
"ad_unit_load": [
1236,
1194,
1275
],
"ad_unit_load_saas": [
0,
0,
0
],
"tag_error": [
3,
1,
2
],
"page_impression": [
412,
398,
425
],
"ad_latency_50th": [
812.5,
790,
835
],
"unit_latency_50th": [
1450,
1422.5,
1489
],
"tag_latency_50th": [
210,
205.5,
214
],
"page_latency_50th": [
1890,
1845,
1920
],
"dom_latency_50th": [
1320,
1298.5,
1341
],
"no_bid": [
5120,
4987,
5233
],
"bid": [
2210,
2105,
2302
],
"bid_won": [
341,
322,
355
],
"bid_throttled": [
410,
395,
428
],
"tag_error_types": [
{
"type": "Network Request Failed",
"count": 4,
"rate": 0.003238866,
"details": [
{
"label": "reason",
"value": "Failed to fetch",
"count": 3
},
{
"label": "reason",
"value": "Load failed",
"count": 1
}
],
"network_average": 0.0021
},
{
"type": "GPT Load Failed",
"count": 2,
"rate": 0.001619433,
"details": [],
"network_average": 0.00087
}
],
"tag_error_type_categories": [
"Domain mismatch",
"GPT Load Failed",
"GPT PubAds Unavailable",
"Secure Signal Provider Push Failed",
"Prebid BidsBackHandler Failed",
"Network Request Failed",
"Window Property Access Denied",
"Prebid Build Load Failed",
"GPT Slot Definition Failed",
"Heavy Ad Intervention",
"Reference Error: Can't Find Variable",
"Type Error: Cannot Read Properties Of Null",
"Security Error: Blocked A Frame From Accessing A Cross Origin Frame",
"Security Error: The Operation Is Insecure",
"Unknown"
],
"tag_error_type_series": {
"Domain mismatch": [
0,
0,
0
],
"GPT Load Failed": [
1,
0,
1
],
"GPT PubAds Unavailable": [
0,
0,
0
],
"Secure Signal Provider Push Failed": [
0,
0,
0
],
"Prebid BidsBackHandler Failed": [
0,
0,
0
],
"Network Request Failed": [
2,
1,
1
],
"Window Property Access Denied": [
0,
0,
0
],
"Prebid Build Load Failed": [
0,
0,
0
],
"GPT Slot Definition Failed": [
0,
0,
0
],
"Heavy Ad Intervention": [
0,
0,
0
],
"Reference Error: Can't Find Variable": [
0,
0,
0
],
"Type Error: Cannot Read Properties Of Null": [
0,
0,
0
],
"Security Error: Blocked A Frame From Accessing A Cross Origin Frame": [
0,
0,
0
],
"Security Error: The Operation Is Insecure": [
0,
0,
0
],
"Unknown": [
0,
0,
0
]
},
"tag_error_type_details": [
{
"date": "2026-10-23 09:01:00",
"types": [
{
"type": "Network Request Failed",
"count": 2,
"rate": 0.004854369,
"details": [
{
"label": "reason",
"value": "Failed to fetch",
"count": 2
}
]
},
{
"type": "GPT Load Failed",
"count": 1,
"rate": 0.002427184,
"details": []
}
]
},
{
"date": "2026-10-23 09:02:00",
"types": [
{
"type": "Network Request Failed",
"count": 1,
"rate": 0.002512563,
"details": [
{
"label": "reason",
"value": "Load failed",
"count": 1
}
]
}
]
},
{
"date": "2026-10-23 09:03:00",
"types": [
{
"type": "GPT Load Failed",
"count": 1,
"rate": 0.002352941,
"details": []
},
{
"type": "Network Request Failed",
"count": 1,
"rate": 0.002352941,
"details": [
{
"label": "reason",
"value": "Failed to fetch",
"count": 1
}
]
}
]
}
]
},
"success": true
}